"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var font_1 = require("tns-core-modules/ui/styling/font");
var font_scale_common_1 = require("./font-scale.common");
font_scale_common_1.labelScaleProperty.register(font_scale_common_1.LabelCommon);
font_scale_common_1.buttonScaleProperty.register(font_scale_common_1.ButtonCommon);
font_scale_common_1.tabStripScaleProperty.register(font_scale_common_1.TabStripItemCommon);
var Label = (function (_super) {
    __extends(Label, _super);
    function Label() {
        var _this = _super.call(this) || this;
        _this.on("loaded", function () {
            var ios = _this.ios;
            if (!_this.scale)
                return;
            var newFont = new font_1.Font(_this.style.fontFamily, _this.style.fontSize, null, _this.style.fontWeight);
            ios.font = UIFontMetrics.defaultMetrics.scaledFontForFont(newFont.getUIFont(null));
            ios.adjustsFontForContentSizeCategory = true;
        });
        return _this;
    }
    Label.prototype[font_scale_common_1.labelScaleProperty.getDefault] = function () {
        return true;
    };
    return Label;
}(font_scale_common_1.LabelCommon));
exports.Label = Label;
var Button = (function (_super) {
    __extends(Button, _super);
    function Button() {
        var _this = _super.call(this) || this;
        _this.on("loaded", function () {
            var btn = _this.ios;
            var ios = btn.titleLabel;
            if (!_this.scale)
                return;
            var newFont = new font_1.Font(_this.style.fontFamily, _this.style.fontSize, null, _this.style.fontWeight);
            ios.font = UIFontMetrics.defaultMetrics.scaledFontForFont(newFont.getUIFont(null));
            ios.adjustsFontForContentSizeCategory = true;
        });
        return _this;
    }
    Button.prototype[font_scale_common_1.buttonScaleProperty.getDefault] = function () {
        return true;
    };
    return Button;
}(font_scale_common_1.ButtonCommon));
exports.Button = Button;
var TabStripItem = (function (_super) {
    __extends(TabStripItem, _super);
    function TabStripItem() {
        var _this = _super.call(this) || this;
        _this.on("loaded", function () {
            var item = _this.nativeView;
            if (!_this.scale)
                return;
            var test = item.titleTextAttributesForState(0);
            var font = test.valueForKey("NSFont");
            var attrs = NSMutableDictionary.new();
            var newFont = new font_1.Font(font.familyName, font.pointSize, null, font_1.FontWeight.NORMAL);
            var scaledFont = UIFontMetrics.defaultMetrics.scaledFontForFont(newFont.getUIFont(null));
            attrs.setValueForKey(scaledFont, NSFontAttributeName);
            item.setTitleTextAttributesForState(attrs, 0);
        });
        return _this;
    }
    TabStripItem.prototype[font_scale_common_1.tabStripScaleProperty.getDefault] = function () {
        return true;
    };
    return TabStripItem;
}(font_scale_common_1.TabStripItemCommon));
exports.TabStripItem = TabStripItem;
//# sourceMappingURL=font-scale.ios.js.map